Repository 32bit  Forum
Repository 64bit  Wiki

Progetto Kernelpkg Tool

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Messaggioda submax82 » lun mag 21, 2007 19:25

nessuno con slackintosh o slamd64 fà il test sopra? :violent1:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » mar mag 22, 2007 19:26

submax82 ha scritto:nessuno con slackintosh o slamd64 fà il test sopra? :violent1:


qualcuno mi fà il test!!! :evil: :evil: :evil:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » mar mag 22, 2007 21:32

nell'attesa del test che alla fine farò io non sò come... :evil: vi posto un problema che può capitare a chi usa il kernel precompilato disponibile sul mio sito....:

kernel precompilato sul mio sito + nvidia installer o ndiswrapper o altro :

Per compilare questi software avete bisogno dei sorgenti del kernel installati ... per fare questo dovete:

0) aver installato il mio pacchetto 2.6.21.1 precompilato

1) bootate con 2.6.21.1 mio

2) seguite questi passi

Codice: Seleziona tutto
su
cd /usr/src
wget ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.21.1.tar.bz2
tar -xvjf linux-2.6.21.1.tar.bz2
ln -s linux-2.6.21.1 linux
cp /boot/config-2.6.21.1 linux/.config
cd linux
make include/


ora il file /usr/src/linux/include/linux/version.h sarà presente

quindi potete eseguire l'installer nvidia

CONSIDERAZIONI: alla luce di questa scoperta potrei fare un parametro per creare un pacchetto e nominarlo

kernel-src-devel

per rendere disponibile un tgz precompilato che eviti di fare questi passi.

abbiamo scoperto che gli headers non sono sufficienti per la compilazione di ogni tipo di pacchetto

Quindi la prossima versione sistemerò tutto ... e renderò disponibile anche questo pacchetto ulteriore sul mio sito
Ultima modifica di submax82 il gio mag 24, 2007 9:38, modificato 1 volta in totale.
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » mer mag 23, 2007 17:55

ok forse ho scoperto ... mi sà che aggiungerò l'opzione per creare il pacchetto kernel-source
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda gioco » sab mag 26, 2007 22:19

submax82 ha scritto:a questo proposito avrei bisogno un test su slamd64 o slackintosh che consiste nel postare l'uscita dell'ultimo comando di questo set:

Codice: Seleziona tutto
cd /usr/src/linux/
make                          ---->>> IMP!!! (anche interrotto dopo almeno 10 sec)
readlink include/asm | awk -F- '{ print $2}'

Su slackintosh stampa
Codice: Seleziona tutto
powerpc
Avatar utente
gioco
Packager
Packager
 
Messaggi: 900
Iscritto il: sab giu 18, 2005 23:00
Località: in the court of the Wesnoth king
Slackware: last stable

Messaggioda submax82 » sab mag 26, 2007 22:28

gioco ha scritto:
submax82 ha scritto:a questo proposito avrei bisogno un test su slamd64 o slackintosh che consiste nel postare l'uscita dell'ultimo comando di questo set:

Codice: Seleziona tutto
cd /usr/src/linux/
make                          ---->>> IMP!!! (anche interrotto dopo almeno 10 sec)
readlink include/asm | awk -F- '{ print $2}'

Su slackintosh stampa
Codice: Seleziona tutto
powerpc


grazie!!! perfetto! ;) 8)
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » dom mag 27, 2007 5:26

NUOVA VERSIONE 0.5.0 USCITA!!!

8) 8) 8)

changelog:

-introdotto nuovo parametro e pacchetto relativo: kernel-source
-alcuni ritocchi e fix
-mutipiattaforma (slamd64, slackintosh)
-supporto yaboot
-diverso campo arch
-risolto possibile problema con kernel 2.4
-man & help rivisti e migliorati

... mi pare ci sia tutto ...

:wav:

consiglio: rifate i vostri pacchetti personalizzati, con la nuova versione!

testate!!! soprattutto slamd64 e slackintosh users :violent1:

:toothy7:

TO DO per release future:

-automake initrd
-autorilevamento del tipo di bootloader

si accettano consigli, idee, procedure... :idea1:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda gohanz » dom mag 27, 2007 17:32

Grande Submax! :D
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda baldelario » dom mag 27, 2007 17:36

Ciao Submax,
ti rinnovo il mio GRAZIE per l'indispensabile(IMHO) kernelpkg,
che testerò certamente viste le rilevanti novità ;)
baldelario
Packager
Packager
 
Messaggi: 58
Iscritto il: mer nov 30, 2005 11:42
Località: Any where out of the world

Messaggioda harakei » dom mag 27, 2007 17:50

complimenti submax!!!bravo!
Avatar utente
harakei
Packager
Packager
 
Messaggi: 118
Iscritto il: lun dic 19, 2005 15:57
Località: Taranto
Slackware: 13-current
Kernel: 2.6.32.7-ck2
Desktop: kde

Messaggioda submax82 » lun mag 28, 2007 0:24

grazie ragazzi :love10:

e lo sviluppo non si ferma qua... :blob7:

testate bene, su slamd64, slackintosh, pacchetto kernel-source (il nuovo arrivato), installazione driver nvidia ecc.... :D
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » mar mag 29, 2007 23:07

forse aggiungo il supporto a elilo... cosa ne dite?

2 errori! nel nuovo pacchetto kernel-source... scusate ... la prossima versione fixo

per ora ho rimosso il pacchetto precompilato dal sito, appena correggo il tool, rifaccio il pacchetto e ripubblico
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » mer mag 30, 2007 22:35

submax82 ha scritto:2 errori! nel nuovo pacchetto kernel-source... scusate ... la prossima versione fixo


ho controllato meglio... mi correggo... non sembra esserci nessun errore! ....

nel senso che non capisco una cosa... nel nuovo pacchetto kernel-source 2.6.21.3 di Pat c'è /usr/include ma nelle release precedenti no :shock:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » mer mag 30, 2007 23:00

submax82 ha scritto:
submax82 ha scritto:2 errori! nel nuovo pacchetto kernel-source... scusate ... la prossima versione fixo


ho controllato meglio... mi correggo... non sembra esserci nessun errore! ....

nel senso che non capisco una cosa... nel nuovo pacchetto kernel-source 2.6.21.3 di Pat c'è /usr/include ma nelle release precedenti no :shock:


ho capito usa il nuovo tag di make

make headers_install che installa gli headers nel source tree ma non è supportato da tutti i 2.6 ... mi pare dal 2.6.19 in sù.... e poi non penso sia necessario.
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » ven giu 01, 2007 14:52

uscita NUOVA versione 0.6.0

-nuova funzione detect bootloader
-fix di qualche imprecisione e bug
-ritoccato help e man
-fixato kernel-source con i driver nvidia 1.0-9631 per le schede non recentissime, anche il pacchetto di Pat della current ha questo problema!!! (GRAZIE SLUCKY dei test) quindi lo spiego meglio

l'errore come detto non stà nel mio script ma in un incompatibilità tra il kernel linux >= 2.6.19 e il vecchio installer nvidia 1.0-9631 (quello per schede non recenti) cioè il file richiesto "config.h" dall'installer è deprecato! per risolvere il problema con kernel recenti basta andare nella directory sorgenti e dare

Codice: Seleziona tutto
cp include/linux/autoconf.h include/linux/config.h


ovviamente ora kernelpkg crea automaticamente kernel-source con questo FIX!
Grazie a Slucky che facendo diversi test me lo ha fatto scoprire! ;)


Appena posso lo segnalo anche a Pat... ! :blob7:

-pacchetto headers ora include tutti gli headers
-aggiunta versione "compressa" a campo build nei pacchetti

testate e provate... (attualmente testa SOLO slucky) :cry:

nessuno ha testato su slackintosh o slamd64 o entrambe :?: :badgrin:

:wav:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

PrecedenteProssimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron